.login-page,
.sign-up-page,
.forgot-password-page,
.reset-password-page {
  background: var(--medium-gray);
  padding-bottom: 169px;
}

.auth-container {
  width: 100%;
  max-width: 600px;
  margin: 20px auto 0;
  padding: 32px;
  background: var(--white);
  border-radius: 6px;
}

.auth-container h4 {
  margin-bottom: 16px;
  font-weight: var(--font-weight-600);
}

.auth-container h6 {
  margin-bottom: 24px;
  font-weight: var(--font-weight-500);
}

.auth-container p {
  margin-bottom: 24px;
  font-size: var(--font-20);
  font-weight: var(--font-weight-500);
  color: var(--gray-700);
}

.login-tabs,
.sign-up-tabs {
  display: flex;
  padding: 6px;
  margin-bottom: 30px;
  background: var(--purple-50);
  border: 1px solid #0447a51a;
  border-radius: 6px;
}

.login-tab-btn,
.sign-up-tab-btn {
  flex: 1;
  height: 50px;
  border: none;
  background: transparent;
  border-radius: 6px;
  cursor: pointer;
  transition: 0.3s;
  font-size: var(--font-16);
  font-weight: var(--font-weight-500);
  display: flex;
  color: var(--black);
  align-items: center;
  justify-content: center;
  padding: 15px 0;
}

.login-tab-btn.active,
.sign-up-tab-btn.active,
.forgot-password-tab-btn.active {
  background: var(--black);
  color: var(--white);
}

.form-group {
  margin-bottom: 24px;
}

.form-group label {
  display: block;
  margin-bottom: 10px;
  font-size: var(--font-16);
  font-weight: var(--font-weight-500);
}

.form-group span {
  color: #ff2d2d;
}

.form-group input {
  width: 100%;
  height: 50px;
  padding: 14px 12px;
  border: 1px solid var(--neutral-300);
  border-radius: 6px;
  background: var(--light-gray);
  font-size: var(--font-16);
  font-weight: var(--font-weight-500);
  outline: none;
  font-family: var(--font-family) !important;
}

.form-group input:focus {
  border-color: var(--gray-500);
}

.form-group input::placeholder {
  color: var(--black);
  font-size: var(--font-16);
  font-weight: var(--font-weight-500);
  font-family: var(--font-family) !important;
}

.password-wrapper {
  position: relative;
}

.password-wrapper input {
  padding-right: 50px;
}

.eye-toggle {
  position: absolute;
  top: 50%;
  right:0px;
  transform: translateY(-50%);
  border: none;
  background: transparent;
  cursor: pointer;
}

.eye-toggle img {
  width: 20px;
  height: 20px;
}
.eye-toggle img {
     filter: brightness(0); 
}
.options {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 24px;
}

.check-wrap {
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
  position: relative;
  text-decoration: none;
  color: var(--black);
  font-size: var(--font-16);
  font-weight: var(--font-weight-400);
}

.check-wrap input {
  display: none;
}

.checkmark {
  width: 20px;
  height: 20px;
  border: 1px solid #dfdfdf;
  border-radius: 2px;
  background: var(--white);
  position: relative;
}

.check-wrap input:checked + .checkmark {
  background: var(--primary);
  border-color: var(--primary);
}

.check-wrap input:checked + .checkmark::after {
  content: "✓";
  position: absolute;
  top: -1px;
  left: 4px;
  color: var(--whisper-gray);
  font-size: var(--font-12);
}

.forgot-link {
  color: var(--black);
  text-decoration: none;
  font-size: var(--font-16);
}

.captcha-box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 8px 12px;
  margin-bottom: 24px;
  border: 1px solid var(--neutral-300);
  border-radius: 6px;
  background: var(--light-gray);
}

.captcha-left {
  display: flex;
  align-items: center;
  gap: 12px;
}

.captcha-left input {
  width: 20px;
  height: 20px;
}

.captcha-left span,
.captcha-box .check-wrap {
  font-size: var(--font-16);
  font-weight: var(--font-weight-500);
}

.captcha-logo img {
  width: 42px;
  height: 42px;
}

.login-btn,
.sign-up-btn,
.forgot-password-btn,
.reset-password-btn {
  width: 100%;
  border: none;
  display: flex;
  justify-content: center;
}

.privacy-note {
  margin-bottom: 24px;
  color: var(--black);
}

.privacy-note a {
  color: var(--black);
  font-weight: var(--font-weight-500);
  text-decoration: underline;
}

